X2Go Bug report logs - #553
Session resume doesn't take profile's host list into account

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Josh Lukens <jlukens@botch.com>

Date: Fri, 18 Jul 2014 01:55:01 UTC

Severity: normal

Tags: pending

Found in version 0.0.3.0

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#553: X2Go issue (in src:x2gobroker) has been marked as pending for release
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 553-quiet@bugs.x2go.org
Resent-To: Josh Lukens <jlukens@botch.com>
X-Loop: owner@bugs.x2go.org
Resent-Date: Thu, 11 Sep 2014 22:35:03 +0000
Resent-Message-ID: <handler.553.U553.141047463321165@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 553
X-X2Go-PR-Package: x2gobroker
X-X2Go-PR-Keywords: pending
Received: via spool by 553-submitter@bugs.x2go.org id=U553.141047463321165
          (code U ref 553); Thu, 11 Sep 2014 22:35:03 +0000
Received: (at 553-submitter) by bugs.x2go.org; 11 Sep 2014 22:30:33 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS
	autolearn=ham version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 69B5B5DEAB; Fri, 12 Sep 2014 00:30:28 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 553-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 553@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20140911223028.69B5B5DEAB@ymir.das-netzwerkteam.de>
Date: Fri, 12 Sep 2014 00:30:28 +0200 (CEST)
tag #553 pending
fixed #553 0.0.3.0
thanks

Hello,

X2Go issue #553 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=214ddad

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 214ddadd62b6d5ba0e6b2e9dbd38563bbbc9f233
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Sep 11 23:59:47 2014 +0200

    On session resumption take profile's host list into account. Don't resume sessions the profile has not been configured for. (Fixes: #553).

diff --git a/debian/changelog b/debian/changelog
index 4f207a1..cfe0cf4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -199,6 +199,8 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
     - Fix typos and host/port mixups in the remote_sshproxy logic. (Fixes: #544).
     - Make sure find_busy_servers in agent.py returns a tuple (recent API change)
       to not break profiles with multiple servers. (Fixes: #545).
+    - On session resumption take profile's host list into account. Don't resume
+      sessions the profile has not been configured for. (Fixes: #553).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:25:30 +0200
 

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Oct 17 12:26:05 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.